<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$file = "setup";
$path_pre = "../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;

echo "<html><head><title>Content management.</title><link rel=stylesheet type=\"text/css\" href=\"cm-style.css\"></head>
<body bgcolor=\"#FFFFFF\" leftmargin=\"20\" topmargin=\"20\" rightmargin=\"20\" bottommargin=\"20\">";

$cm_configfile = "cm_config.inc.php";
$cm_defaultsuperuser = "root1";
$cm_currentversion = "0.4.7";

// Load language strings file.
$cm_langpath = "lang";
$cm_languages = array ("es" => 1, "en" => 1, "nl" => 1);
if (array_key_exists (strtolower ($langua), $cm_languages)) {
	$langua = strtolower ($langua);
	include("$cm_langpath/$langua.inc.php");
}
else { $langua = "en"; include("$cm_langpath/en.inc.php"); }


$cm_setup_error = false;
if ((!$cm_setup) && (!$cm_cancel) && (!$cm_createdir)) {
  if (is_readable ("$cm_configfile")) {
    include ("$cm_configfile");
  }
  else { 
    echo "<p><strong>{$cm_text["setup-cannotread"]}</strong></p>";
  }
  if ($cm_mainroot) {
    if (($cm_superuser) && ($cm_superuser != $user_kurz)) {
      echo "<p><strong>{$cm_text["setup-welcome"]}</strong><br>";
      echo "{$cm_text["setup-currentuser"]} <strong>$user_kurz</strong><br>";
      echo "{$cm_text["setup-superuseris"]} <strong>$cm_superuser</strong></p>";
      echo "<h3>{$cm_text["setup-nosuperuser"]}</h3>";
      $cm_setup_error = true;
    }
  }
  else {
    echo "<p><strong>{$cm_text["setup-loadingdefs"]}</strong></p>";
    $cm_superuser = $cm_defaultsuperuser;
    $cm_mainroot = "root";
    $cm_userroot = "users";
    $cm_show_rootinnav = 0;
    $cm_enable_userpages = 0;
    $cm_jpeg_truecolors = 1;
    $cm_jpeg_quality = 75;
    $cm_jpegprefix_file = "cmtn-";
    $cm_jpeg_maxX = 125;
    $cm_jpeg_maxY = 100;
    $cm_album_cols = 3;
    $cm_jpeg_prettynames = 1;
    $cm_show_thumbsinlisting = 0;
    $cm_dirs_inlisting = 1;
    $cm_home_maxleafs = 5;
    $cm_home_minleafs = 0;
    $cm_home_oldestleafallowed = 10;
    $cm_max_statlist = 10;
    $cm_max_usercomments = 25;
    $cm_resethits_aftercomment = 1;
    $cm_max_searchres = 10;
    $cm_icon_set = 1;
    $cm_convert_emoticons = 1;
    $cm_control_iconwidth = 16; 
    $cm_control_iconheight = 16;
    $cm_msg_iconwidth = 48; 
    $cm_msg_iconheight = 48;
    $cm_emoticon_iconwidth = 16; 
    $cm_emoticon_iconheight = 16;
    $cm_filelist_iconwidth = 36;
    $cm_filelist_iconheight = 36;
    $cm_dirlist_iconwidth = 24;
    $cm_dirlist_iconheight = 24;
  }
}

if (!$cm_setup_error) {
  if ($cm_setup) {
    $cm_config_content = "<?php
    \$cm_currentversion = \"$cm_currentversion\";
    // {$cm_text["setup-superuser"]}
    \$cm_superuser = \"$cm_superuser\";
    // {$cm_text["setup-mainroot"]}
    \$cm_mainroot = \"$cm_mainroot\";
    // {$cm_text["setup-userroot"]}
    \$cm_userroot = \"$cm_userroot\";
    // {$cm_text["setup-show_rootinnav"]}
    \$cm_show_rootinnav = $cm_show_rootinnav;
    // {$cm_text["setup-enable_userpages"]}
    \$cm_enable_userpages = $cm_enable_userpages;
    // {$cm_text["setup-jpeg_truecolors"]}
    \$cm_jpeg_truecolors = $cm_jpeg_truecolors;
    // {$cm_text["setup-jpeg_quality"]}
    \$cm_jpeg_quality = $cm_jpeg_quality;
    // {$cm_text["setup-jpegprefix_file"]}
    \$cm_jpegprefix_file = \"$cm_jpegprefix_file\";
    // {$cm_text["setup-jpeg_size"]}
    \$cm_jpeg_maxX = $cm_jpeg_maxX;
    \$cm_jpeg_maxY = $cm_jpeg_maxY;
    // {$cm_text["setup-album_cols"]}
    \$cm_album_cols = $cm_album_cols;
    // {$cm_text["setup-jpeg_prettynames"]}
    \$cm_jpeg_prettynames = $cm_jpeg_prettynames;
    // {$cm_text["setup-show_thumbsinlisting"]}
    \$cm_show_thumbsinlisting = $cm_show_thumbsinlisting;
    // {$cm_text["setup-dirs_inlisting"]}
    \$cm_dirs_inlisting = $cm_dirs_inlisting;
    // {$cm_text["setup-home_maxleafs"]}
    \$cm_home_maxleafs = $cm_home_maxleafs;
    // {$cm_text["setup-home_minleafs"]}
    \$cm_home_minleafs = $cm_home_minleafs;
    // {$cm_text["setup-home_oldestleafallowed"]}
    \$cm_home_oldestleafallowed = $cm_home_oldestleafallowed;
    // {$cm_text["setup-max_statlist"]}
    \$cm_max_statlist = $cm_max_statlist;
    // {$cm_text["setup-max_usercomments"]}
    \$cm_max_usercomments = $cm_max_usercomments;
    // {$cm_text["setup-resethits_aftercomment"]}
    \$cm_resethits_aftercomment = $cm_resethits_aftercomment;
    // {$cm_text["setup-max_searchres"]}
    \$cm_max_searchres = $cm_max_searchres;
    // {$cm_text["setup-icon_set"]}
    \$cm_icon_set = $cm_icon_set;
    // {$cm_text["setup-convert_emoticons"]}
    \$cm_convert_emoticons = $cm_convert_emoticons;
    // {$cm_text["setup-images_controlsize"]}
    \$cm_control_iconwidth = $cm_control_iconwidth; 
    \$cm_control_iconheight = $cm_control_iconheight;
    // {$cm_text["setup-images_messagesize"]}
    \$cm_msg_iconwidth = $cm_msg_iconwidth; 
    \$cm_msg_iconheight = $cm_msg_iconheight;
    // {$cm_text["setup-images_emoticonsize"]}
    \$cm_emoticon_iconwidth = $cm_emoticon_iconwidth; 
    \$cm_emoticon_iconheight = $cm_emoticon_iconheight;
    // {$cm_text["setup-images_filelistsize"]}
    \$cm_filelist_iconwidth = $cm_filelist_iconwidth;
    \$cm_filelist_iconheight = $cm_filelist_iconheight;
    // {$cm_text["setup-images_dirlistsize"]}
    \$cm_dirlist_iconwidth = $cm_dirlist_iconwidth;
    \$cm_dirlist_iconheight = $cm_dirlist_iconheight;
    ?>";
    $fp = @fopen ("$cm_configfile",'wb+');
    $fw = fwrite ($fp, $cm_config_content);
    if (!$fw) {
      echo "<p><strong>{$cm_text["setup-fileerror"]}</strong></p>";
    }
    else {
      echo "<p><strong>{$cm_text["setup-setupdone"]}</strong></p>";
      echo "<pre>
        version = \"$cm_currentversion\";
        superuser = \"$cm_superuser\";
        mainroot = \"$cm_mainroot\";
        userroot = \"$cm_userroot\";
        show_rootinnav = $cm_show_rootinnav;
        enable_userpages = $cm_enable_userpages;
        jpeg_truecolors = $cm_jpeg_truecolors;
        jpeg_quality = $cm_jpeg_quality;
        jpegprefix_file = \"$cm_jpegprefix_file\";
        jpeg_maxX = $cm_jpeg_maxX;
        jpeg_maxY = $cm_jpeg_maxY;
        album_cols = $cm_album_cols;
        jpeg_prettynames = $cm_jpeg_prettynames;
        show_thumbsinlisting = $cm_show_thumbsinlisting;
        dirs_inlisting = $cm_dirs_inlisting;
        home_maxleafs = $cm_home_maxleafs;
        home_minleafs = $cm_home_minleafs;
        home_oldestleafallowed = $cm_home_oldestleafallowed;
        max_statlist = $cm_max_statlist;
        max_usercomments = $cm_max_usercomments;
        resethits_aftercomment = $cm_resethits_aftercomment;
        max_searchres = $cm_max_searchres;
        cm_icon_set = $cm_icon_set;
        convert_emoticons = $cm_convert_emoticons;
        control_iconwidth = $cm_control_iconwidth; 
        control_iconheight = $cm_control_iconheight;
        msg_iconwidth = $cm_msg_iconwidth; 
        msg_iconheight = $cm_msg_iconheight;
        emoticon_iconwidth = $cm_emoticon_iconwidth; 
        emoticon_iconheight = $cm_emoticon_iconheight;
        filelist_iconwidth = $cm_filelist_iconwidth;
        filelist_iconheight = $cm_filelist_iconheight;
        dirlist_iconwidth = $cm_dirlist_iconwidth;
        dirlist_iconheight = $cm_dirlist_iconheight;
      </pre>";
    }
    fclose($fp);
  }
  elseif ($cm_cancel) {
    echo "<p>{$cm_text["setup-canceled"]}</p>";
  }
  elseif ($cm_createdir) {
    if (is_readable ("$cm_configfile")) include ("$cm_configfile");
    else { echo "<p><strong>{$cm_text["setup-cannotread"]}</strong></p>"; }
    if (!$cm_mainroot) {
      $cm_mainroot = "root";
    }
    echo "<p><strong>{$cm_text["setup-creatingdir"]} $cm_mainroot</strong></p>";
    if (file_exists ($cm_mainroot)) {
      echo "<p><strong>{$cm_text["setup-direxists"]}</strong></p>";
    }
    else {
      if (@mkdir ($cm_mainroot, 0777)) {
        echo "<p>{$cm_text["setup-createddir"]}</p>";
      }
      else {
        echo "<p>{$cm_text["setup-cannotcreatedir"]}</p>";
      }
    }
  }
  else {
    echo "
    <p><strong>{$cm_text["setup-welcome"]}</strong><br>
    {$cm_text["setup-currentuser"]} <strong>$user_kurz</strong><br>
    {$cm_text["setup-superuseris"]} <strong>$cm_superuser</strong></p>
    <form action=\"setup.php\" method=\"post\">
    $cm_currentversion <br>
    <input type=\"hidden\" name=\"cm_first_time\" value=\"$cm_first_time\">
    <input type=\"text\" name=\"cm_superuser\" size=\"6\" maxlength=\"10\" value=\"$cm_superuser\">
    {$cm_text["setup-superuser"]} <br>
    <input type=\"text\" name=\"cm_mainroot\" size=\"6\" maxlength=\"10\" value=\"$cm_mainroot\">
    {$cm_text["setup-mainroot"]} <br>
    <input type=\"text\" name=\"cm_userroot\" size=\"6\" maxlength=\"10\" value=\"$cm_userroot\">
    {$cm_text["setup-userroot"]} <br>
    <input type=\"text\" name=\"cm_show_rootinnav\" size=\"6\" maxlength=\"10\" value=\"$cm_show_rootinnav\">
    {$cm_text["setup-show_rootinnav"]} <br>
    <input type=\"text\" name=\"cm_enable_userpages\" size=\"6\" maxlength=\"10\" value=\"$cm_enable_userpages\">
    {$cm_text["setup-enable_userpages"]} <br>
    <input type=\"text\" name=\"cm_jpeg_truecolors\" size=\"6\" maxlength=\"10\" value=\"$cm_jpeg_truecolors\">
    {$cm_text["setup-jpeg_truecolors"]} <br>
    <input type=\"text\" name=\"cm_jpeg_quality\" size=\"6\" maxlength=\"10\" value=\"$cm_jpeg_quality\">
    {$cm_text["setup-jpeg_quality"]} <br>
    <input type=\"text\" name=\"cm_jpegprefix_file\" size=\"6\" maxlength=\"10\" value=\"$cm_jpegprefix_file\">
    {$cm_text["setup-jpegprefix_file"]} <br>
    <input type=\"text\" name=\"cm_jpeg_maxX\" size=\"6\" maxlength=\"10\" value=\"$cm_jpeg_maxX\">
    <input type=\"text\" name=\"cm_jpeg_maxY\" size=\"6\" maxlength=\"10\" value=\"$cm_jpeg_maxY\">
    {$cm_text["setup-jpeg_size"]} <br>
    <input type=\"text\" name=\"cm_album_cols\" size=\"6\" maxlength=\"10\" value=\"$cm_album_cols\">
    {$cm_text["setup-album_cols"]} <br>
    <input type=\"text\" name=\"cm_jpeg_prettynames\" size=\"6\" maxlength=\"10\" value=\"$cm_jpeg_prettynames\">
    {$cm_text["setup-jpeg_prettynames"]} <br>
    <input type=\"text\" name=\"cm_show_thumbsinlisting\" size=\"6\" maxlength=\"10\" value=\"$cm_show_thumbsinlisting\">
    {$cm_text["setup-show_thumbsinlisting"]} <br>
    <input type=\"text\" name=\"cm_dirs_inlisting\" size=\"6\" maxlength=\"10\" value=\"$cm_dirs_inlisting\">
    {$cm_text["setup-dirs_inlisting"]} <br>
    <input type=\"text\" name=\"cm_home_maxleafs\" size=\"6\" maxlength=\"10\" value=\"$cm_home_maxleafs\">
    {$cm_text["setup-home_maxleafs"]} <br>
    <input type=\"text\" name=\"cm_home_minleafs\" size=\"6\" maxlength=\"10\" value=\"$cm_home_minleafs\">
    {$cm_text["setup-home_minleafs"]} <br>
    <input type=\"text\" name=\"cm_home_oldestleafallowed\" size=\"6\" maxlength=\"10\" value=\"$cm_home_oldestleafallowed\">
    {$cm_text["setup-home_oldestleafallowed"]} <br>
    <input type=\"text\" name=\"cm_max_statlist\" size=\"6\" maxlength=\"10\" value=\"$cm_max_statlist\">
    {$cm_text["setup-max_statlist"]} <br>
    <input type=\"text\" name=\"cm_max_usercomments\" size=\"6\" maxlength=\"10\" value=\"$cm_max_usercomments\">
    {$cm_text["setup-max_usercomments"]} <br>
    <input type=\"text\" name=\"cm_resethits_aftercomment\" size=\"6\" maxlength=\"10\" value=\"$cm_resethits_aftercomment\">
    {$cm_text["setup-resethits_aftercomment"]} <br>
    <input type=\"text\" name=\"cm_max_searchres\" size=\"6\" maxlength=\"10\" value=\"$cm_max_searchres\">
    {$cm_text["setup-max_searchres"]} <br>
    <input type=\"text\" name=\"cm_icon_set\" size=\"6\" maxlength=\"10\" value=\"$cm_icon_set\">
    {$cm_text["setup-icon_set"]} <br>
    <input type=\"text\" name=\"cm_convert_emoticons\" size=\"6\" maxlength=\"10\" value=\"$cm_convert_emoticons\">
    {$cm_text["setup-convert_emoticons"]} <br>
    <input type=\"text\" name=\"cm_control_iconwidth\" size=\"6\" maxlength=\"10\" value=\"$cm_control_iconwidth\">
    <input type=\"text\" name=\"cm_control_iconheight\" size=\"6\" maxlength=\"10\" value=\"$cm_control_iconheight\">
    {$cm_text["setup-images_controlsize"]} <br>
    <input type=\"text\" name=\"cm_msg_iconwidth\" size=\"6\" maxlength=\"10\" value=\"$cm_msg_iconwidth\">
    <input type=\"text\" name=\"cm_msg_iconheight\" size=\"6\" maxlength=\"10\" value=\"$cm_msg_iconheight\">
    {$cm_text["setup-images_messagesize"]} <br>
    <input type=\"text\" name=\"cm_emoticon_iconwidth\" size=\"6\" maxlength=\"10\" value=\"$cm_emoticon_iconwidth\">
    <input type=\"text\" name=\"cm_emoticon_iconheight\" size=\"6\" maxlength=\"10\" value=\"$cm_emoticon_iconheight\">
    {$cm_text["setup-images_emoticonsize"]} <br>
    <input type=\"text\" name=\"cm_filelist_iconwidth\" size=\"6\" maxlength=\"10\" value=\"$cm_filelist_iconwidth\">
    <input type=\"text\" name=\"cm_filelist_iconheight\" size=\"6\" maxlength=\"10\" value=\"$cm_filelist_iconheight\">
    {$cm_text["setup-images_filelistsize"]} <br>
    <input type=\"text\" name=\"cm_dirlist_iconwidth\" size=\"6\" maxlength=\"10\" value=\"$cm_dirlist_iconwidth\">
    <input type=\"text\" name=\"cm_dirlist_iconheight\" size=\"6\" maxlength=\"10\" value=\"$cm_dirlist_iconheight\">
    {$cm_text["setup-images_dirlistsize"]} <br><hr>
    <input type=\"submit\" name=\"cm_setup\" value=\"{$cm_text["setup-setup"]}\">
    <input type=\"submit\" name=\"cm_cancel\" value=\"{$cm_text["setup-cancel"]}\">
    <BR>&nbsp;<br>
    </form>
    ";
  }
}
echo "<hr>";
echo "<form action=\"cm_dbcreate.php\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_createdb\" value=\"{$cm_text["setup-createdb"]}\">";
echo "</form>";
echo "<form action=\"setup.php\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_createdir\" value=\"{$cm_text["setup-createdir"]}\">";
echo "</form>";
echo "<form action=\"$path_pre\cm\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_gotocmhome\" value=\"{$cm_text["setup-gotocmhome"]}\">";
echo "</form>";
echo "<form action=\"$path_pre\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_gotohome\" value=\"{$cm_text["setup-gotohome"]}\">";
echo "</form>";
echo "<form action=\"setup.php\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_retrysetup\" value=\"{$cm_text["setup-retry"]}\">";
echo "</form>";

echo "</body></html>";

?>
